Instrumentacion Nano-Satelites - Task #227
Milestone # 217 (Closed): Prototipo 1.0 de transmisor
Task # 221 (Closed): Etapa de generacion de sefal
Revision de circuito impreso: Generador de sefial 150MHz y 400MHz
11/04/2015 09:57 AM - Jose Chavez

Status: Closed Start date: 11/03/2015
Priority: High Due date: 11/10/2015
Assignee: Miguel Urco % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Versién 1.0 Spent time: 0.50 hour
Description

Herramienta de software de diseno de PCBs

Eagle 7.3

Funcionalidad

Circuito generador de sefiales RF a 150MHz y 400MHz a partir de dos PLLs.
Los PLLs controlan el VCO interno que poseen, los cuales son sintonizados mediante inductores previamente calculados.

Vdd = 3.3v

Las pistas estan matcheadas a 50 Ohm.

Funcionalidad Descripcién Prueba de confiabilidad
Generar dos sefales RF Generar dos sefiales de 150MHz y Medir sefales con el analizador de
400MHz a partir de dos referencias de espectros
10MHz

Entradas

Entradas digitales de control de PLL: SCLK, SDATA, SEN, PWDN

Valores
Vih 0.7Vdd Min.
Vil 0.3Vdd Max.
lih -10uA,10uA
lil -10uA,10uA
Entrada de sefial: Sefal de sincronismo de 10MHz, previamente generada por un TXCO
Parametros Valores
Frecuencia 2-26MHz
Vref 0.5v - Vdd+0.3v
Salida digital: AUXOUT indica cuando la frecuencia esta enganchada.
Parametros Valores
Voh Vdd-0.4v Min
Parametros Valores
Vol 0.4v Max
loh -500uA,500uA

Senales de RF o senales criticas del circuito

Las principales sefiales del circuito son las de salida RF. Como el integrado no puede manipular cargas menores a 200 Ohm a esas
frecuencias, se disefié una red Pi para las transformacién de impedancias.

Senal 1 Senfal 2
Frecuencia 150MHz 400MHz
Naturaleza Sinusoidal Sinusoidal
Potencia (50 Ohm) -4dBm -4dBm
Impedancia 200 a 50 de 200 a 50
Nivel DC Ov Ov

Diagrama de bloques
Captura.PNG

Archivo esquematico y board

Esquematico: export:/ TRUNK/HARDWARE/boards/PLL/PLL-Si4133.sch@18
Board: export:/ TRUNK/HARDWARE/boards/PLL/PLL-Si4133.brd@19

History

#1 - 11/04/2015 02:43 PM - Joaquin Verastegui

- Assignee changed from Joaquin Verastegui to Miguel Urco

Hola Miguel,
por favor llena las observacionas que ya le habias mandado a José pero esta vez en el nuevo formato:

http://10.10.50.96/projects/redmine/wiki/Gu%C3%ADa_para_correcci%C3%B3n

Saludos,

Joaquin

#2 - 11/04/2015 03:16 PM - Jose Chavez

- Description updated

#3 - 11/04/2015 03:39 PM - Miguel Urco
- % Done changed from 0 to 100

e Esquematico:
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/repository/revisions/18/raw/TRUNK/HARDWARE/boards/PLL/PLL-Si4133.sch
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/repository/revisions/19/raw/TRUNK/HARDWARE/boards/PLL/PLL-Si4133.brd
http://10.10.50.96/projects/redmine/wiki/Gu%C3%ADa_para_correcci%C3%B3n

Observacion Sefal o componente asociado Resultado
No conectar los pines NO USADOS a tierra. Si | RF_OUT
son salidas colocar una carga con la
impedancia correcta
Separar la sefial de fuente de cada PLL VCC
usando una bobina de choque
Utilizar un condensador de desacoplo de 0.1uF |VCC, VDD
en los pines de fuente
® Board:
Observacion Sefal o componente asociado Resultado

Colocar los conectores de entrada y salida de
RF lo mas cercano al chip (minima longitud del
trazo de RF)

CLK_INPUT1, CLK_INPUT2, IF_OUTH,
IF_OUT2

Aislar los dos PLL usando islas de tierra en la
Capa Superior (Top) y un plano de tierra
continuo en la capa inferior (Bottom)

PLL1, PLL2

Colocar las resistencias de Pull-Up lo mas
cercano al pin, al igual que los condensadores
de desacoplo de las fuentes

SCL, SDA, SCLK

Evitar el flujo de corriente de circuitos externos
por la tarjeta, eliminar el conector de salida de
fuente

Conector de fuente

#4 - 11/18/2015 10:13 AM - Joaquin Verastegui

- Target version set to Version 1.0

#5 - 11/19/2015 08:27 AM - Jose Chavez

Se adjuntas los resultados de las observaciones hechas.
Como comentario adicional la tarjeta se encuentra funcionando correctamente.

Miguel Urco wrote:

e Esquematico:
Observacién

Sefal o componente asociado

Resultado

0.1uF en los pines de fuente

No conectar los pines NO USADOS a tierra. RF_OUT Cambios realizados

Si son salidas colocar una carga con la

impedancia correcta

Separar la sefial de fuente de cada PLL VCC Cambio realizado

usando una bobina de choque

Utilizar un condensador de desacoplo de VCC, VDD No disponemos de este componente, pero se

considerara el cambio

e Board:

Observacion

Sefal o componente asociado

Resultado

RF lo mas cercano al chip (minima longitud
del trazo de RF)

Colocar los conectores de entrada y salida de

CLK_INPUT1, CLK_INPUT2, IF_OUT1,
IF_OUT2

Cambio realizado

Capa Superior (Top) y un plano de tierra
continuo en la capa inferior (Bottom)

Aislar los dos PLL usando islas de tierra en la

PLL1, PLL2

Cambio realizado

Colocar las resistencias de Pull-Up lo mas
cercano al pin, al igual que los
condensadores de desacoplo de las fuentes

SCL, SDA, SCLK

Cambio realizado

Evitar el flujo de corriente de circuitos

salida de fuente

externos por la tarjeta, eliminar el conector de

Conector de fuente

Cambio realizado

#6 - 11/19/2015 10:45 AM - Jose Chavez

- Status changed from New to Closed
